package com.shkj.common.annotation;

import java.lang.annotation.*;

/**
 * 数据权限过滤注解
 *
 * @author lch
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataScopeConsignor
{
    /**
     * 货主表的别名
     */
    public String consignorAlias() default "";

    /**
     * 用户表的别名
     */
    public String userAlias() default "";

    /**
     * 仓库的别名
     * @return
     */
    public String branchAlias() default "";
}
